## org.eclipse.datatools.modelbase.sql.datatypes.provider
Class SQLDataTypesItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.datatools.modelbase.sql.datatypes.util.SQLDataTypesAdapterFactory
              org.eclipse.datatools.modelbase.sql.datatypes.provider.SQLDataTypesItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

    public class SQLDataTypesItemProviderAdapterFactory

extends SQLDataTypesAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Constructor Summary
`SQLDataTypesItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`org.eclipse.emf.common.notify.Adapter` `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener.
`org.eclipse.emf.common.notify.Adapter` `createApproximateNumericDataTypeAdapter()` This creates an adapter for a `ApproximateNumericDataType`.
`org.eclipse.emf.common.notify.Adapter` `createAttributeDefinitionAdapter()` This creates an adapter for a `AttributeDefinition`.
`org.eclipse.emf.common.notify.Adapter` `createBinaryStringDataTypeAdapter()` This creates an adapter for a `BinaryStringDataType`.
`org.eclipse.emf.common.notify.Adapter` `createBooleanDataTypeAdapter()` This creates an adapter for a `BooleanDataType`.
`org.eclipse.emf.common.notify.Adapter` `createCharacterSetAdapter()` This creates an adapter for a `CharacterSet`.
`org.eclipse.emf.common.notify.Adapter` `createCharacterStringDataTypeAdapter()` This creates an adapter for a `CharacterStringDataType`.
`org.eclipse.emf.common.notify.Adapter` `createDataLinkDataTypeAdapter()` This creates an adapter for a `DataLinkDataType`.
`org.eclipse.emf.common.notify.Adapter` `createDateDataTypeAdapter()` This creates an adapter for a `DateDataType`.
`org.eclipse.emf.common.notify.Adapter` `createDistinctUserDefinedTypeAdapter()` This creates an adapter for a `DistinctUserDefinedType`.
`org.eclipse.emf.common.notify.Adapter` `createDomainAdapter()` This creates an adapter for a `Domain`.
`org.eclipse.emf.common.notify.Adapter` `createElementTypeAdapter()` This creates an adapter for a `ElementType`.
`org.eclipse.emf.common.notify.Adapter` `createFieldAdapter()` This creates an adapter for a `Field`.
`org.eclipse.emf.common.notify.Adapter` `createFixedPrecisionDataTypeAdapter()` This creates an adapter for a `FixedPrecisionDataType`.
`org.eclipse.emf.common.notify.Adapter` `createIntegerDataTypeAdapter()` This creates an adapter for a `IntegerDataType`.
`org.eclipse.emf.common.notify.Adapter` `createIntervalDataTypeAdapter()` This creates an adapter for a `IntervalDataType`.
`org.eclipse.emf.common.notify.Adapter` `createRowDataTypeAdapter()` This creates an adapter for a `RowDataType`.
`org.eclipse.emf.common.notify.Adapter` `createStructuredUserDefinedTypeAdapter()` This creates an adapter for a `StructuredUserDefinedType`.
`org.eclipse.emf.common.notify.Adapter` `createTimeDataTypeAdapter()` This creates an adapter for a `TimeDataType`.
`org.eclipse.emf.common.notify.Adapter` `createUserDefinedTypeOrderingAdapter()` This creates an adapter for a `UserDefinedTypeOrdering`.
`org.eclipse.emf.common.notify.Adapter` `createXMLDataTypeAdapter()` This creates an adapter for a `XMLDataType`.
`void` `dispose()` This disposes all of the item providers created by this factory.
`void` `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.util.SQLDataTypesAdapterFactory

`createAdapter, createArrayDataTypeAdapter, createCollectionDataTypeAdapter, createConstructedDataTypeAdapter, createDataTypeAdapter, createEModelElementAdapter, createENamedElementAdapter, createEObjectAdapter, createExactNumericDataTypeAdapter, createMultisetDataTypeAdapter, createNumericalDataTypeAdapter, createPredefinedDataTypeAdapter, createReferenceDataTypeAdapter, createSQLDataTypeAdapter, createSQLObjectAdapter, createTypedElementAdapter, createUserDefinedTypeAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Constructor Detail

### SQLDataTypesItemProviderAdapterFactory

    public SQLDataTypesItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createCharacterStringDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createCharacterStringDataTypeAdapter()

  This creates an adapter for a `CharacterStringDataType`.

  Overrides:
    `createCharacterStringDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CharacterStringDataType`

### createRowDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRowDataTypeAdapter()

  This creates an adapter for a `RowDataType`.

  Overrides:
    `createRowDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `RowDataType`

### createBooleanDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createBooleanDataTypeAdapter()

  This creates an adapter for a `BooleanDataType`.

  Overrides:
    `createBooleanDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `BooleanDataType`

### createIntervalDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createIntervalDataTypeAdapter()

  This creates an adapter for a `IntervalDataType`.

  Overrides:
    `createIntervalDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `IntervalDataType`

### createBinaryStringDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createBinaryStringDataTypeAdapter()

  This creates an adapter for a `BinaryStringDataType`.

  Overrides:
    `createBinaryStringDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `BinaryStringDataType`

### createCharacterSetAdapter

    public org.eclipse.emf.common.notify.Adapter createCharacterSetAdapter()

  This creates an adapter for a `CharacterSet`.

  Overrides:
    `createCharacterSetAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CharacterSet`

### createTimeDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createTimeDataTypeAdapter()

  This creates an adapter for a `TimeDataType`.

  Overrides:
    `createTimeDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TimeDataType`

### createDistinctUserDefinedTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createDistinctUserDefinedTypeAdapter()

  This creates an adapter for a `DistinctUserDefinedType`.

  Overrides:
    `createDistinctUserDefinedTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DistinctUserDefinedType`

### createStructuredUserDefinedTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createStructuredUserDefinedTypeAdapter()

  This creates an adapter for a `StructuredUserDefinedType`.

  Overrides:
    `createStructuredUserDefinedTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `StructuredUserDefinedType`

### createAttributeDefinitionAdapter

    public org.eclipse.emf.common.notify.Adapter createAttributeDefinitionAdapter()

  This creates an adapter for a `AttributeDefinition`.

  Overrides:
    `createAttributeDefinitionAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AttributeDefinition`

### createFixedPrecisionDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createFixedPrecisionDataTypeAdapter()

  This creates an adapter for a `FixedPrecisionDataType`.

  Overrides:
    `createFixedPrecisionDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FixedPrecisionDataType`

### createDomainAdapter

    public org.eclipse.emf.common.notify.Adapter createDomainAdapter()

  This creates an adapter for a `Domain`.

  Overrides:
    `createDomainAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Domain`

### createFieldAdapter

    public org.eclipse.emf.common.notify.Adapter createFieldAdapter()

  This creates an adapter for a `Field`.

  Overrides:
    `createFieldAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Field`

### createDataLinkDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createDataLinkDataTypeAdapter()

  This creates an adapter for a `DataLinkDataType`.

  Overrides:
    `createDataLinkDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DataLinkDataType`

### createUserDefinedTypeOrderingAdapter

    public org.eclipse.emf.common.notify.Adapter createUserDefinedTypeOrderingAdapter()

  This creates an adapter for a `UserDefinedTypeOrdering`.

  Overrides:
    `createUserDefinedTypeOrderingAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `UserDefinedTypeOrdering`

### createDateDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createDateDataTypeAdapter()

  This creates an adapter for a `DateDataType`.

  Overrides:
    `createDateDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DateDataType`

### createApproximateNumericDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createApproximateNumericDataTypeAdapter()

  This creates an adapter for a `ApproximateNumericDataType`.

  Overrides:
    `createApproximateNumericDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ApproximateNumericDataType`

### createIntegerDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createIntegerDataTypeAdapter()

  This creates an adapter for a `IntegerDataType`.

  Overrides:
    `createIntegerDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `IntegerDataType`

### createXMLDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLDataTypeAdapter()

  This creates an adapter for a `XMLDataType`.

  Overrides:
    `createXMLDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XMLDataType`

### createElementTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createElementTypeAdapter()

  This creates an adapter for a `ElementType`.

  Overrides:
    `createElementTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ElementType`

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `SQLDataTypesAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`